> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 객체 쿼리



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /objs/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /objs/query:
    post:
      tags:
        - Objects
      summary: 객체 쿼리
      operationId: objs_query_objs_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjQueryReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjQueryRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjQueryReq:
      additionalProperties: false
      properties:
        filter:
          anyOf:
            - $ref: '#/components/schemas/ObjectVersionFilter'
            - type: 'null'
          description: 쿼리의 필터 기준입니다. `ObjectVersionFilter`를 참조하세요.
          examples:
            - latest_only: true
              object_ids:
                - my_favorite_model
        include_storage_size:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true이면 `size_bytes` 열이 반환됩니다.
          title: Include Storage Size
        include_tags_and_aliases:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true이면 태그와 별칭을 가져와 응답에 포함합니다.
          title: Include Tags And Aliases
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: 반환할 결과의 최대 개수
          examples:
            - 100
          title: Limit
        metadata_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true이면 `val` 열은 데이터베이스에서 읽지 않으며 비어 있게 됩니다. 그 외의 모든 필드는 반환됩니다.
          title: Metadata Only
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          description: 반환하기 전에 건너뛸 결과 수
          examples:
            - 0
          title: Offset
        project_id:
          description: 쿼리할 프로젝트의 ID
          examples:
            - user/project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: 쿼리 결과의 정렬 기준입니다. 현재는 'object_id'와 'created_at'만 지원합니다.
          examples:
            - - direction: desc
                field: created_at
          title: Sort By
      required:
        - project_id
      title: ObjQueryReq
      type: object
    ObjQueryRes:
      properties:
        objs:
          items:
            $ref: '#/components/schemas/ObjSchema'
          title: Objs
          type: array
      required:
        - objs
      title: ObjQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ObjectVersionFilter:
      additionalProperties: false
      properties:
        aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 지정된 별칭 중 하나라도 가진 객체를 필터링합니다.
          title: Aliases
        base_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 기본 클래스를 기준으로 객체를 필터링합니다
          examples:
            - - Model
            - - Dataset
          title: Base Object Classes
        exclude_base_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 기본 클래스를 기준으로 객체를 제외합니다
          examples:
            - - Model
            - - Dataset
          title: Exclude Base Object Classes
        is_op:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            객체가 weave.ops인지 여부에 따라 필터링합니다. `True`이면 op만 반환하고, `False`이면 op가 아닌
            객체만 반환하며, `None`이면 모든 객체를 반환합니다
          examples:
            - true
            - false
            - null
          title: Is Op
        latest_only:
          anyOf:
            - type: boolean
            - type: 'null'
          description: '`True`이면 각 객체의 최신 버전만 반환합니다. `False`와 `None`이면 모든 버전을 반환합니다'
          examples:
            - true
            - false
          title: Latest Only
        leaf_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 객체를 리프 클래스별로 필터링합니다
          examples:
            - - Model
            - - Dataset
            - - LLMStructuredCompletionModel
          title: Leaf Object Classes
        object_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 객체를 ID별로 필터링합니다
          examples:
            - my_favorite_model
            - my_favorite_dataset
          title: Object Ids
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 지정된 태그 중 하나라도 가진 객체 버전을 필터링합니다.
          title: Tags
      title: ObjectVersionFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    ObjSchema:
      properties:
        aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Aliases
        base_object_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Object Class
        created_at:
          format: date-time
          title: Created At
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        digest:
          title: Digest
          type: string
        is_latest:
          title: Is Latest
          type: integer
        kind:
          title: Kind
          type: string
        leaf_object_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Leaf Object Class
        object_id:
          title: Object Id
          type: string
        project_id:
          title: Project Id
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        val:
          title: Val
        version_index:
          title: Version Index
          type: integer
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 직접 설정하지 마세요. 서버가 이 필드를 자동으로 채웁니다.
          title: Wb User Id
      required:
        - project_id
        - object_id
        - created_at
        - digest
        - version_index
        - is_latest
        - kind
        - base_object_class
        - val
      title: ObjSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````